dofile("../modpol.lua")

print('\nRemoving existing orgs')
modpol.orgs.reset()

print('\nCreating an org called "test_org"')
test_org = modpol.instance:add_org('test_org')

print('\nTrying to create an org with the same name')
duplicate = modpol.instance:add_org('test_org')

print('\nAdding user "luke" to test_org')
test_org:add_member('luke')

print('\nTrying to add duplicate user to test_org')
test_org:add_member('luke')

print('\nRemoving user "luke" from test_org')
test_org:remove_member('luke')

print('\nTrying to remove user "luke" from empty member list')
test_org:remove_member('luke')

